Package: org.gradle.platform.base.binary

## [Java] Class BaseBinarySpec

- org.gradle.platform.base.binary.BaseBinarySpec

- All Implemented Interfaces and Traits:
    org.gradle.platform.base.internal.BinarySpecInternal

      @Incubating
      public class BaseBinarySpec
      extends org.gradle.api.internal.AbstractBuildableComponentSpec

  Base class that may be used for custom BinarySpec implementations. However, it is generally better to use an interface annotated with Managed and not use an implementation class at all.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `BaseBinarySpec ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static T` | `create(Class<? extends BinarySpec> publicType, Class<T> implementationType, org.gradle.platform.base.internal.ComponentSpecIdentifier componentId, org.gradle.model.internal.core.MutableModelNode modelNode, org.gradle.model.internal.core.MutableModelNode componentNode, org.gradle.internal.reflect.Instantiator instantiator, org.gradle.api.internal.project.taskfactory.ITaskFactory taskFactory)`
    `protected org.gradle.platform.base.internal.BinaryBuildAbility` | `getBinaryBuildAbility()`
    `org.gradle.platform.base.internal.BinaryBuildAbility` | `getBuildAbility()`
    `ComponentSpec` | `getComponent()`
    `protected T` | `getComponentAs(Class<T> componentType)`
    `LibraryBinaryIdentifier` | `getId()`
    `DomainObjectSet<LanguageSourceSet>` | `getInputs()`
    `org.gradle.platform.base.internal.BinaryNamingScheme` | `getNamingScheme()`
    `String` | `getProjectScopedName()`
    `Class<? extends BinarySpec>` | `getPublicType()`
    `ModelMap<LanguageSourceSet>` | `getSources()`
    `BinaryTasksCollection` | `getTasks()`
    `boolean` | `hasCodependentSources()`
    `boolean` | `isBuildable()`
    `boolean` | `isLegacyBinary()`
    `static void` | `replaceSingleDirectory(Set<File> dirs, File dir)`
    `void` | `setBuildable(boolean buildable)`
    `void` | `setNamingScheme(org.gradle.platform.base.internal.BinaryNamingScheme namingScheme)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.gradle.api.internal.AbstractBuildableComponentSpec` | `org.gradle.api.internal.AbstractBuildableComponentSpec#getBuildDependencies(), org.gradle.api.internal.AbstractBuildableComponentSpec#builtBy([Ljava.lang.Object;), org.gradle.api.internal.AbstractBuildableComponentSpec#getBuildTask(), org.gradle.api.internal.AbstractBuildableComponentSpec#setBuildTask(org.gradle.api.Task), org.gradle.api.internal.AbstractBuildableComponentSpec#hasBuildDependencies(), org.gradle.api.internal.AbstractBuildableComponentSpec#toString(), org.gradle.api.internal.AbstractBuildableComponentSpec#getName(), org.gradle.api.internal.AbstractBuildableComponentSpec#getDisplayName(), org.gradle.api.internal.AbstractBuildableComponentSpec#getProjectPath(), org.gradle.api.internal.AbstractBuildableComponentSpec#getIdentifier(), org.gradle.api.internal.AbstractBuildableComponentSpec#wait(long, int), org.gradle.api.internal.AbstractBuildableComponentSpec#wait(long), org.gradle.api.internal.AbstractBuildableComponentSpec#wait(), org.gradle.api.internal.AbstractBuildableComponentSpec#equals(java.lang.Object), org.gradle.api.internal.AbstractBuildableComponentSpec#hashCode(), org.gradle.api.internal.AbstractBuildableComponentSpec#getClass(), org.gradle.api.internal.AbstractBuildableComponentSpec#notify(), org.gradle.api.internal.AbstractBuildableComponentSpec#notifyAll()`
    `class org.gradle.platform.base.component.internal.AbstractComponentSpec` | `org.gradle.platform.base.component.internal.AbstractComponentSpec#toString(), org.gradle.platform.base.component.internal.AbstractComponentSpec#getName(), org.gradle.platform.base.component.internal.AbstractComponentSpec#getDisplayName(), org.gradle.platform.base.component.internal.AbstractComponentSpec#getProjectPath(), org.gradle.platform.base.component.internal.AbstractComponentSpec#getIdentifier(), org.gradle.platform.base.component.internal.AbstractComponentSpec#wait(long, int), org.gradle.platform.base.component.internal.AbstractComponentSpec#wait(long), org.gradle.platform.base.component.internal.AbstractComponentSpec#wait(), org.gradle.platform.base.component.internal.AbstractComponentSpec#equals(java.lang.Object), org.gradle.platform.base.component.internal.AbstractComponentSpec#hashCode(), org.gradle.platform.base.component.internal.AbstractComponentSpec#getClass(), org.gradle.platform.base.component.internal.AbstractComponentSpec#notify(), org.gradle.platform.base.component.internal.AbstractComponentSpec#notifyAll()`

- - ### Constructor Detail

    - #### public BaseBinarySpec()

  - ### Method Detail

    - #### public static T create(Class<? extends BinarySpec> publicType, Class<T> implementationType, org.gradle.platform.base.internal.ComponentSpecIdentifier componentId, org.gradle.model.internal.core.MutableModelNode modelNode, @Nullable org.gradle.model.internal.core.MutableModelNode componentNode, org.gradle.internal.reflect.Instantiator instantiator, org.gradle.api.internal.project.taskfactory.ITaskFactory taskFactory)

    - #### protected org.gradle.platform.base.internal.BinaryBuildAbility getBinaryBuildAbility()

    - #### @Override public final org.gradle.platform.base.internal.BinaryBuildAbility getBuildAbility()

    - #### @Override @Nullable public ComponentSpec getComponent()

    - #### @Nullable protected T getComponentAs(Class<T> componentType)

    - #### @Override public LibraryBinaryIdentifier getId()

    - #### @Override public DomainObjectSet<LanguageSourceSet> getInputs()

    - #### @Override public org.gradle.platform.base.internal.BinaryNamingScheme getNamingScheme()

    - #### @Override public String getProjectScopedName()

    - #### @Override public Class<? extends BinarySpec> getPublicType()

    - #### @Override public ModelMap<LanguageSourceSet> getSources()

    - #### @Override public BinaryTasksCollection getTasks()

    - #### @Override public boolean hasCodependentSources()

    - #### @Override public final boolean isBuildable()

    - #### @Override public boolean isLegacyBinary()

    - #### public static void replaceSingleDirectory(Set<File> dirs, File dir)

    - #### @Override public void setBuildable(boolean buildable)

    - #### @Override public void setNamingScheme(org.gradle.platform.base.internal.BinaryNamingScheme namingScheme)